/*
	PostNuke Wasteland Statussystem
	Author: BuggyB, NeoPhoenix
	Date: 09.09.2011
	
	native status_HealBerechnung(playerid);
	native status_DestroyDraws(playerid);
	native status_CreateDraws(playerid);
	native status_UpdateDraws(playerid);
	native status_ShowDraws(playerid);
	native status_HideDraws(playerid);
*/

#if defined included_pnwl_status
	#endinput
#else
	#define included_pnwl_status
#endif

#include <a_samp>
#include "libraries/lib_core"
#include "libraries/lib_skill"

#define status:: status_
#define HeilungsKonstante 	(0.44)
#define DurstKonstante 		(0.47)
#define HungerKonstante 	(0.33)
#define MuedigkeitKonstante	(0.20)
#define StoffwechselFaktor 	(0.49)

enum e_lebenserhaltung
{
	//Float:SkillStoffwechsel => SKILLSYSTEM
	Float:Hunger,
	Float:Durst,
	Float:Radioaktiv,
	Float:Muedigkeit,
	Float:KrankheitsSumme,
	Float:BleedingLevel,
	KoTime,
}
new PlayerStatus[MAX_PLAYERS][e_lebenserhaltung],
	PlayerText:PlayerStatusDraw[MAX_PLAYERS][6],
	Text:GlobalStatusDraw[14],
	Text:ExtGlobalStatusDraw[6],
	Text:GlobalBloodScreen[6];

	
stock status::SetPlayerBleedingLevel(playerid,Float:level)
{
	if(IsPlayerAttachedObjectSlotUsed(playerid,BLEEDING_SLOT)) RemovePlayerAttachedObject(playerid,BLEEDING_SLOT);
	if(level < 0.0) level = 0.0;
	if(level == 0.0) return 1;
	if(level > MAX_BLEEDING_LEVEL) level = MAX_BLEEDING_LEVEL;
	PlayerStatus[playerid][BleedingLevel] = level;
	SetPlayerAttachedObject(playerid,BLEEDING_SLOT,18706,Spine,0.088999,0.020000,0.044999,0.088999,0.020000,0.044999,1.179000,1.510999,0.005000,0xFFFF0000,0xFFFF0000);
	return 1;
}

stock status::SetPlayerKnockoutTime(playerid,time_s)
{
	if(time_s < 0) time_s = 0;
	if(time_s == 0)
	{
		PlayerStatus[playerid][KoTime] = 0;
		ClearAnimations(playerid);
		UpdateStatusProgressBar(playerid);//Hide
		return 1;
	}
	if(time_s > MAX_KO_TIME) time_s = MAX_KO_TIME;
	if(PlayerStatus[playerid][KoTime] == 0)
	{//Noch nicht KO
		if(IsPlayerInAnyVehicle(playerid))
		{
			if(car_IsBike(GetPlayerVehicleID(playerid)))
			{
				new Float:p[3];
				GetPlayerPos(playerid,p[0],p[1],p[2]);
				RemovePlayerFromVehicle(playerid);
				SetPlayerPos(playerid,p[0],p[1],p[2]);
				ApplyAnimation(playerid,"PED","BIKE_fall_off",4.0,0,1,1,0,0,1);
			}
			else ApplyAnimation(playerid,"PED","CAR_DEAD_LHS",4.0,0,1,1,1,0,1);
		}
		else ApplyAnimation(playerid,"PED","KO_SHOT_STOM",4.0,0,1,1,1,0,1);
	}
	PlayerStatus[playerid][KoTime] = time_s;
	UpdateStatusProgressBar(playerid,(float(PlayerStatus[playerid][KoTime])/float(MAX_KO_TIME))*100.0);
	return 1;
}
	
status::HealBerechnung(playerid)
{
	if(GetPVarInt(playerid,"logged_in") == 0) return 0;
	
	new Float:VarA = 1.0 - PlayerSkill[playerid][SkillStoffwechsel] / 100 * StoffwechselFaktor;

	if(PlayerStatus[playerid][Hunger] < 100.0) PlayerStatus[playerid][Hunger] += HungerKonstante * VarA;
	if(PlayerStatus[playerid][Hunger] > 100.0) PlayerStatus[playerid][Hunger] = 100.0;
	
	if(PlayerStatus[playerid][Durst] < 100.0) PlayerStatus[playerid][Durst] += DurstKonstante * VarA;
	if(PlayerStatus[playerid][Durst] > 100.0) PlayerStatus[playerid][Durst] = 100.0;

	new Float:berechne_health;
	GetPlayerHealth(playerid,berechne_health);	
	if(berechne_health >= 3.0) SetPlayerHealth(playerid,berechne_health+(50.0-PlayerStatus[playerid][Hunger]-PlayerStatus[playerid][Durst]-PlayerStatus[playerid][KrankheitsSumme]-(PlayerStatus[playerid][Radioaktiv]/10.0)+berechne_health+PlayerSkill[playerid][SkillStoffwechsel]*StoffwechselFaktor)/150.0*HeilungsKonstante);
	status_UpdateDraws(playerid);
	return 1;
}

stock status::DestroyDraws(playerid)
{
	if(!IsPlayerConnected(playerid) || GetPVarInt(playerid,"status_draws_created") == 0) return 0;
	for(new d; d<6; d++)
	{
		if(GetPVarInt(playerid,"status_draws_show") == 1) fixed_PlayerTextDrawHide(playerid,PlayerStatusDraw[playerid][d]);
		PlayerTextDrawDestroy(playerid,PlayerStatusDraw[playerid][d]);
	}
	for(new d; d<14; d++) if(GetPVarInt(playerid,"status_draws_show") == 1) fixed_TextDrawHideForPlayer(playerid,GlobalStatusDraw[d]);
	DeletePVar(playerid,"status_draws_created");
	DeletePVar(playerid,"status_draws_show");
	return 1;
}

stock status::ShowDraws(playerid)
{
	if(!IsPlayerConnected(playerid) || GetPVarInt(playerid,"status_draws_show") == 1 || !GetPVarInt(playerid,"status_draws_created")) return 0;
	for(new d; d<6; d++) fixed_PlayerTextDrawShow(playerid,PlayerStatusDraw[playerid][d]);
	for(new d; d<14; d++)
	{
		if(d == 1) continue;//Buggy not used
		fixed_TextDrawShowForPlayer(playerid,GlobalStatusDraw[d]);
	}
	SetPVarInt(playerid,"status_draws_show",1);
	status_UpdateDraws(playerid);
	return 1;
}

stock status::HideDraws(playerid)
{
	if(!IsPlayerConnected(playerid) || GetPVarInt(playerid,"status_draws_show") == 0) return 0;
	for(new d; d<6; d++) fixed_PlayerTextDrawHide(playerid,PlayerStatusDraw[playerid][d]);
	for(new d; d<14; d++) fixed_TextDrawHideForPlayer(playerid,GlobalStatusDraw[d]);
	SetPVarInt(playerid,"status_draws_show",0);
	return 1;
}

stock status::UpdateDraws(playerid)
{
	if(!IsPlayerConnected(playerid) || GetPVarInt(playerid,"status_draws_created") == 0 || GetPVarInt(playerid,"status_draws_show") == 0) return 0;
	
	if(PlayerStatus[playerid][Hunger] >= 83.2)					PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][0],"~r~IIIIII");
	else if(PlayerStatus[playerid][Hunger] >= 66.7)				PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][0],"~r~IIIII");
	else if(PlayerStatus[playerid][Hunger] >= 49.9)				PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][0],"~y~IIII");
	else if(PlayerStatus[playerid][Hunger] >= 33.4)				PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][0],"~y~III");
	else if(PlayerStatus[playerid][Hunger] >= 16.7)				PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][0],"~g~II");
	else /*if(PlayerStatus[playerid][Hunger] >= 0.0)*/			PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][0],"~g~I");
	
	if(PlayerStatus[playerid][Durst] >= 83.2)					PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][1],"~r~IIIIII");
	else if(PlayerStatus[playerid][Durst] >= 66.7)				PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][1],"~r~IIIII");
	else if(PlayerStatus[playerid][Durst] >= 49.9)				PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][1],"~y~IIII");
	else if(PlayerStatus[playerid][Durst] >= 33.4)				PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][1],"~y~III");
	else if(PlayerStatus[playerid][Durst] >= 16.7)				PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][1],"~g~II");
	else /*if(PlayerStatus[playerid][Durst] >= 0.0)*/			PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][1],"~g~I");	
	
	if(PlayerStatus[playerid][Muedigkeit] >= 83.2)				PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][2],"~r~IIIIII");
	else if(PlayerStatus[playerid][Muedigkeit] >= 66.7)			PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][2],"~r~IIIII");
	else if(PlayerStatus[playerid][Muedigkeit] >= 49.9)			PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][2],"~y~IIII");
	else if(PlayerStatus[playerid][Muedigkeit] >= 33.4)			PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][2],"~y~III");
	else if(PlayerStatus[playerid][Muedigkeit] >= 16.7)			PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][2],"~g~II");
	else /*if(PlayerStatus[playerid][Muedigkeit] >= 0.0)*/		PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][2],"~g~I");
	
	if(PlayerStatus[playerid][KrankheitsSumme] >= 83.2)			PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][3],"~r~IIIIII");
	else if(PlayerStatus[playerid][KrankheitsSumme] >= 66.7)	PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][3],"~r~IIIII");
	else if(PlayerStatus[playerid][KrankheitsSumme] >= 49.9)	PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][3],"~y~IIII");
	else if(PlayerStatus[playerid][KrankheitsSumme] >= 33.4)	PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][3],"~y~III");
	else if(PlayerStatus[playerid][KrankheitsSumme] >= 16.7)	PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][3],"~g~II");
	else /*if(PlayerStatus[playerid][KrankheitsSumme] >= 0.0)*/	PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][3],"~g~I");	
	
	if(PlayerStatus[playerid][Radioaktiv] >= 832.0)				PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][4],"~r~IIIIII");
	else if(PlayerStatus[playerid][Radioaktiv] >= 667.0)		PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][4],"~r~IIIII");
	else if(PlayerStatus[playerid][Radioaktiv] >= 499.0)		PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][4],"~y~IIII");
	else if(PlayerStatus[playerid][Radioaktiv] >= 334.0)		PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][4],"~y~III");
	else if(PlayerStatus[playerid][Radioaktiv] >= 167.0)		PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][4],"~g~II");
	else /*if(PlayerStatus[playerid][Radioaktiv] >= 0.0)*/		PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][4],"~g~I");	
	
	new Float:percent = (PlayerCache[playerid][item_Gewicht]/PlayerEvent[playerid][MaxWeight])*100.0;
	if(percent >= 100.0)		PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][5],"~r~IIIIII");
	else if(percent >= 90.0)	PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][5],"~r~IIIII");
	else if(percent >= 60.0)	PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][5],"~y~IIII");
	else if(percent >= 40.0)	PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][5],"~y~III");
	else if(percent >= 20.0)	PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][5],"~g~II");
	else /*if(percent >= 0.0)*/	PlayerTextDrawSetString(playerid,PlayerStatusDraw[playerid][5],"~g~I");
	
	for(new i; i<6; i++) TextDrawHideForPlayer(playerid,ExtGlobalStatusDraw[i]);
	return 1;
}

stock status::CreateDraws(playerid)
{
	if(!IsPlayerConnected(playerid) || GetPVarInt(playerid,"status_draws_created") == 1) return 0;
	
	PlayerStatusDraw[playerid][5] = CreatePlayerTextDraw(playerid,474.000000, 7.000000, "~g~I");
	PlayerTextDrawAlignment(playerid,PlayerStatusDraw[playerid][5], 3);
	PlayerTextDrawBackgroundColor(playerid,PlayerStatusDraw[playerid][5], 255);
	PlayerTextDrawFont(playerid,PlayerStatusDraw[playerid][5], 2);
	PlayerTextDrawLetterSize(playerid,PlayerStatusDraw[playerid][5], 0.400000, 1.399999);
	PlayerTextDrawColor(playerid,PlayerStatusDraw[playerid][5], -1721368321);
	PlayerTextDrawSetOutline(playerid,PlayerStatusDraw[playerid][5], 1);
	PlayerTextDrawSetProportional(playerid,PlayerStatusDraw[playerid][5], 1);
	
	PlayerStatusDraw[playerid][0] = CreatePlayerTextDraw(playerid,474.000000, 22.000000, "~g~I");
	PlayerTextDrawAlignment(playerid,PlayerStatusDraw[playerid][0], 3);
	PlayerTextDrawBackgroundColor(playerid,PlayerStatusDraw[playerid][0], 255);
	PlayerTextDrawFont(playerid,PlayerStatusDraw[playerid][0], 2);
	PlayerTextDrawLetterSize(playerid,PlayerStatusDraw[playerid][0], 0.400000, 1.399999);
	PlayerTextDrawColor(playerid,PlayerStatusDraw[playerid][0], -1721368321);
	PlayerTextDrawSetOutline(playerid,PlayerStatusDraw[playerid][0], 1);
	PlayerTextDrawSetProportional(playerid,PlayerStatusDraw[playerid][0], 1);

	PlayerStatusDraw[playerid][1] = CreatePlayerTextDraw(playerid,474.000000, 36.000000, "~g~I");
	PlayerTextDrawAlignment(playerid,PlayerStatusDraw[playerid][1], 3);
	PlayerTextDrawBackgroundColor(playerid,PlayerStatusDraw[playerid][1], 255);
	PlayerTextDrawFont(playerid,PlayerStatusDraw[playerid][1], 2);
	PlayerTextDrawLetterSize(playerid,PlayerStatusDraw[playerid][1], 0.400000, 1.399999);
	PlayerTextDrawColor(playerid,PlayerStatusDraw[playerid][1], -1721368321);
	PlayerTextDrawSetOutline(playerid,PlayerStatusDraw[playerid][1], 1);
	PlayerTextDrawSetProportional(playerid,PlayerStatusDraw[playerid][1], 1);

	PlayerStatusDraw[playerid][2] = CreatePlayerTextDraw(playerid,474.000000, 51.000000, "~g~I");
	PlayerTextDrawAlignment(playerid,PlayerStatusDraw[playerid][2], 3);
	PlayerTextDrawBackgroundColor(playerid,PlayerStatusDraw[playerid][2], 255);
	PlayerTextDrawFont(playerid,PlayerStatusDraw[playerid][2], 2);
	PlayerTextDrawLetterSize(playerid,PlayerStatusDraw[playerid][2], 0.400000, 1.399999);
	PlayerTextDrawColor(playerid,PlayerStatusDraw[playerid][2], -1721368321);
	PlayerTextDrawSetOutline(playerid,PlayerStatusDraw[playerid][2], 1);
	PlayerTextDrawSetProportional(playerid,PlayerStatusDraw[playerid][2], 1);

	PlayerStatusDraw[playerid][3] = CreatePlayerTextDraw(playerid,474.000000, 66.000000, "~g~I");
	PlayerTextDrawAlignment(playerid,PlayerStatusDraw[playerid][3], 3);
	PlayerTextDrawBackgroundColor(playerid,PlayerStatusDraw[playerid][3], 255);
	PlayerTextDrawFont(playerid,PlayerStatusDraw[playerid][3], 2);
	PlayerTextDrawLetterSize(playerid,PlayerStatusDraw[playerid][3], 0.400000, 1.399999);
	PlayerTextDrawColor(playerid,PlayerStatusDraw[playerid][3], -1721368321);
	PlayerTextDrawSetOutline(playerid,PlayerStatusDraw[playerid][3], 1);
	PlayerTextDrawSetProportional(playerid,PlayerStatusDraw[playerid][3], 1);

	PlayerStatusDraw[playerid][4] = CreatePlayerTextDraw(playerid,474.000000, 81.000000, "~g~I");
	PlayerTextDrawAlignment(playerid,PlayerStatusDraw[playerid][4], 3);
	PlayerTextDrawBackgroundColor(playerid,PlayerStatusDraw[playerid][4], 255);
	PlayerTextDrawFont(playerid,PlayerStatusDraw[playerid][4], 2);
	PlayerTextDrawLetterSize(playerid,PlayerStatusDraw[playerid][4], 0.400000, 1.399999);
	PlayerTextDrawColor(playerid,PlayerStatusDraw[playerid][4], -1721368321);
	PlayerTextDrawSetOutline(playerid,PlayerStatusDraw[playerid][4], 1);
	PlayerTextDrawSetProportional(playerid,PlayerStatusDraw[playerid][4], 1);
	
	SetPVarInt(playerid,"status_draws_created",1);
	return 1;
}

status::ToggleBloodscreen(playerid,bool:_toggle)
{
	for(new i; i<sizeof(GlobalBloodScreen); i++) TextDrawHideForPlayer(playerid,GlobalBloodScreen[i]);
	if(_toggle) for(new i; i<sizeof(GlobalBloodScreen); i++) TextDrawShowForPlayer(playerid,GlobalBloodScreen[i]);
	return;
}

status::GlobalDrawInit()
{
	GlobalStatusDraw[0] = TextDrawCreate(482.000000, 24.000000, "hud:radar_dateFood");
	TextDrawBackgroundColor(GlobalStatusDraw[0], 255);
	TextDrawFont(GlobalStatusDraw[0], 4);
	TextDrawLetterSize(GlobalStatusDraw[0], 0.500000, 1.000000);
	TextDrawColor(GlobalStatusDraw[0], -1);
	TextDrawSetOutline(GlobalStatusDraw[0], 0);
	TextDrawSetProportional(GlobalStatusDraw[0], 1);
	TextDrawSetShadow(GlobalStatusDraw[0], 1);
	TextDrawUseBox(GlobalStatusDraw[0], 1);
	TextDrawBoxColor(GlobalStatusDraw[0], 255);
	TextDrawTextSize(GlobalStatusDraw[0], 12.000000, 12.000000);

	GlobalStatusDraw[2] = TextDrawCreate(482.000000, 37.000000, "hud:radar_diner");
	TextDrawBackgroundColor(GlobalStatusDraw[2], 255);
	TextDrawFont(GlobalStatusDraw[2], 4);
	TextDrawLetterSize(GlobalStatusDraw[2], 0.500000, 1.000000);
	TextDrawColor(GlobalStatusDraw[2], -1);
	TextDrawSetOutline(GlobalStatusDraw[2], 0);
	TextDrawSetProportional(GlobalStatusDraw[2], 1);
	TextDrawSetShadow(GlobalStatusDraw[2], 1);
	TextDrawUseBox(GlobalStatusDraw[2], 1);
	TextDrawBoxColor(GlobalStatusDraw[2], 255);
	TextDrawTextSize(GlobalStatusDraw[2], 12.000000, 12.000000);

	GlobalStatusDraw[3] = TextDrawCreate(477.000000, 52.000000, "hud:radar_ZERO");
	TextDrawBackgroundColor(GlobalStatusDraw[3], 255);
	TextDrawFont(GlobalStatusDraw[3], 4);
	TextDrawLetterSize(GlobalStatusDraw[3], 0.500000, 1.000000);
	TextDrawColor(GlobalStatusDraw[3], -1);
	TextDrawSetOutline(GlobalStatusDraw[3], 0);
	TextDrawSetProportional(GlobalStatusDraw[3], 1);
	TextDrawSetShadow(GlobalStatusDraw[3], 1);
	TextDrawUseBox(GlobalStatusDraw[3], 1);
	TextDrawBoxColor(GlobalStatusDraw[3], 255);
	TextDrawTextSize(GlobalStatusDraw[3], 4.000000, 5.000000);

	GlobalStatusDraw[4] = TextDrawCreate(480.000000, 52.000000, "hud:radar_ZERO");
	TextDrawBackgroundColor(GlobalStatusDraw[4], 255);
	TextDrawFont(GlobalStatusDraw[4], 4);
	TextDrawLetterSize(GlobalStatusDraw[4], 0.500000, 1.000000);
	TextDrawColor(GlobalStatusDraw[4], -1);
	TextDrawSetOutline(GlobalStatusDraw[4], 0);
	TextDrawSetProportional(GlobalStatusDraw[4], 1);
	TextDrawSetShadow(GlobalStatusDraw[4], 1);
	TextDrawUseBox(GlobalStatusDraw[4], 1);
	TextDrawBoxColor(GlobalStatusDraw[4], 255);
	TextDrawTextSize(GlobalStatusDraw[4], 7.000000, 7.000000);

	GlobalStatusDraw[5] = TextDrawCreate(485.000000, 52.000000, "hud:radar_ZERO");
	TextDrawBackgroundColor(GlobalStatusDraw[5], 255);
	TextDrawFont(GlobalStatusDraw[5], 4);
	TextDrawLetterSize(GlobalStatusDraw[5], 0.500000, 1.000000);
	TextDrawColor(GlobalStatusDraw[5], -1);
	TextDrawSetOutline(GlobalStatusDraw[5], 0);
	TextDrawSetProportional(GlobalStatusDraw[5], 1);
	TextDrawSetShadow(GlobalStatusDraw[5], 1);
	TextDrawUseBox(GlobalStatusDraw[5], 1);
	TextDrawBoxColor(GlobalStatusDraw[5], 255);
	TextDrawTextSize(GlobalStatusDraw[5], 12.000000, 12.000000);

	GlobalStatusDraw[6] = TextDrawCreate(479.000000, 66.000000, "hud:radar_gangG");
	TextDrawBackgroundColor(GlobalStatusDraw[6], 255);
	TextDrawFont(GlobalStatusDraw[6], 4);
	TextDrawLetterSize(GlobalStatusDraw[6], 0.500000, 1.000000);
	TextDrawColor(GlobalStatusDraw[6], -1);
	TextDrawSetOutline(GlobalStatusDraw[6], 0);
	TextDrawSetProportional(GlobalStatusDraw[6], 1);
	TextDrawSetShadow(GlobalStatusDraw[6], 1);
	TextDrawUseBox(GlobalStatusDraw[6], 1);
	TextDrawBoxColor(GlobalStatusDraw[6], 255);
	TextDrawTextSize(GlobalStatusDraw[6], 12.000000, 12.000000);

	GlobalStatusDraw[7] = TextDrawCreate(485.000000, 71.000000, "hud:radar_hostpital");
	TextDrawBackgroundColor(GlobalStatusDraw[7], 255);
	TextDrawFont(GlobalStatusDraw[7], 4);
	TextDrawLetterSize(GlobalStatusDraw[7], 0.500000, 1.000000);
	TextDrawColor(GlobalStatusDraw[7], -1);
	TextDrawSetOutline(GlobalStatusDraw[7], 0);
	TextDrawSetProportional(GlobalStatusDraw[7], 1);
	TextDrawSetShadow(GlobalStatusDraw[7], 1);
	TextDrawUseBox(GlobalStatusDraw[7], 1);
	TextDrawBoxColor(GlobalStatusDraw[7], 255);
	TextDrawTextSize(GlobalStatusDraw[7], 10.000000, 9.000000);

	GlobalStatusDraw[8] = TextDrawCreate(477.000000, 54.000000, ".");//schwarzer punkt
	TextDrawBackgroundColor(GlobalStatusDraw[8], 255);
	TextDrawFont(GlobalStatusDraw[8], 1);
	TextDrawLetterSize(GlobalStatusDraw[8], 1.539999, 5.299999);
	TextDrawColor(GlobalStatusDraw[8], -65281);
	TextDrawSetOutline(GlobalStatusDraw[8], 1);
	TextDrawSetProportional(GlobalStatusDraw[8], 1);

	GlobalStatusDraw[9] = TextDrawCreate(482.700000, 83.400000, ".");
	TextDrawBackgroundColor(GlobalStatusDraw[9], 255);
	TextDrawFont(GlobalStatusDraw[9], 1);
	TextDrawLetterSize(GlobalStatusDraw[9], 0.500000, 1.500000);
	TextDrawColor(GlobalStatusDraw[9], 255);
	TextDrawSetOutline(GlobalStatusDraw[9], 0);
	TextDrawSetProportional(GlobalStatusDraw[9], 1);
	TextDrawSetShadow(GlobalStatusDraw[9], 0);

	GlobalStatusDraw[10] = TextDrawCreate(486.000000, 77.500000, ".");
	TextDrawBackgroundColor(GlobalStatusDraw[10], 255);
	TextDrawFont(GlobalStatusDraw[10], 1);
	TextDrawLetterSize(GlobalStatusDraw[10], 0.500000, 1.500000);
	TextDrawColor(GlobalStatusDraw[10], 255);
	TextDrawSetOutline(GlobalStatusDraw[10], 0);
	TextDrawSetProportional(GlobalStatusDraw[10], 1);
	TextDrawSetShadow(GlobalStatusDraw[10], 0);

	GlobalStatusDraw[11] = TextDrawCreate(479.000000, 77.500000, ".");
	TextDrawBackgroundColor(GlobalStatusDraw[11], 255);
	TextDrawFont(GlobalStatusDraw[11], 1);
	TextDrawLetterSize(GlobalStatusDraw[11], 0.500000, 1.500000);
	TextDrawColor(GlobalStatusDraw[11], 255);
	TextDrawSetOutline(GlobalStatusDraw[11], 0);
	TextDrawSetProportional(GlobalStatusDraw[11], 1);
	TextDrawSetShadow(GlobalStatusDraw[11], 0);

	GlobalStatusDraw[12] = TextDrawCreate(482.700000, 79.700000, ".");
	TextDrawBackgroundColor(GlobalStatusDraw[12], 255);
	TextDrawFont(GlobalStatusDraw[12], 1);
	TextDrawLetterSize(GlobalStatusDraw[12], 0.500000, 1.500000);
	TextDrawColor(GlobalStatusDraw[12], 255);
	TextDrawSetOutline(GlobalStatusDraw[12], 0);
	TextDrawSetProportional(GlobalStatusDraw[12], 1);
	TextDrawSetShadow(GlobalStatusDraw[12], 0);
	
	GlobalStatusDraw[13] = TextDrawCreate(481.000000, 8.000000, "hud:radar_gym");
	TextDrawBackgroundColor(GlobalStatusDraw[13], 255);
	TextDrawFont(GlobalStatusDraw[13], 4);
	TextDrawLetterSize(GlobalStatusDraw[13], 0.500000, 1.000000);
	TextDrawColor(GlobalStatusDraw[13], -1);
	TextDrawSetOutline(GlobalStatusDraw[13], 0);
	TextDrawSetProportional(GlobalStatusDraw[13], 1);
	TextDrawSetShadow(GlobalStatusDraw[13], 1);
	TextDrawUseBox(GlobalStatusDraw[13], 1);
	TextDrawBoxColor(GlobalStatusDraw[13], 255);
	TextDrawTextSize(GlobalStatusDraw[13], 13.000000, 13.000000);
	
	ExtGlobalStatusDraw[0] = TextDrawCreate(608.000000, 1.000000, "ld_beat:cross");
	TextDrawBackgroundColor(ExtGlobalStatusDraw[0], 255);
	TextDrawFont(ExtGlobalStatusDraw[0], 4);
	TextDrawLetterSize(ExtGlobalStatusDraw[0], 0.900000, 7.099999);
	TextDrawColor(ExtGlobalStatusDraw[0], -1);
	TextDrawSetOutline(ExtGlobalStatusDraw[0], 1);
	TextDrawSetProportional(ExtGlobalStatusDraw[0], 1);
	TextDrawUseBox(ExtGlobalStatusDraw[0], 1);
	TextDrawBoxColor(ExtGlobalStatusDraw[0], 255);
	TextDrawTextSize(ExtGlobalStatusDraw[0], 30.000000, 30.000000);

	ExtGlobalStatusDraw[1] = TextDrawCreate(51.000000, 333.000000, "hud:radar_girlfriend");
	TextDrawBackgroundColor(ExtGlobalStatusDraw[1], 255);
	TextDrawFont(ExtGlobalStatusDraw[1], 4);
	TextDrawLetterSize(ExtGlobalStatusDraw[1], 0.500000, 1.000000);
	TextDrawColor(ExtGlobalStatusDraw[1], -1);
	TextDrawSetOutline(ExtGlobalStatusDraw[1], 0);
	TextDrawSetProportional(ExtGlobalStatusDraw[1], 1);
	TextDrawSetShadow(ExtGlobalStatusDraw[1], 1);
	TextDrawUseBox(ExtGlobalStatusDraw[1], 1);
	TextDrawBoxColor(ExtGlobalStatusDraw[1], 255);
	TextDrawTextSize(ExtGlobalStatusDraw[1], 11.000000, 11.000000);

	ExtGlobalStatusDraw[2] = TextDrawCreate(56.000000, 338.000000, "hud:radar_hostpital");
	TextDrawBackgroundColor(ExtGlobalStatusDraw[2], 255);
	TextDrawFont(ExtGlobalStatusDraw[2], 4);
	TextDrawLetterSize(ExtGlobalStatusDraw[2], 0.500000, 1.000000);
	TextDrawColor(ExtGlobalStatusDraw[2], -1);
	TextDrawSetOutline(ExtGlobalStatusDraw[2], 0);
	TextDrawSetProportional(ExtGlobalStatusDraw[2], 1);
	TextDrawSetShadow(ExtGlobalStatusDraw[2], 1);
	TextDrawUseBox(ExtGlobalStatusDraw[2], 1);
	TextDrawBoxColor(ExtGlobalStatusDraw[2], 255);
	TextDrawTextSize(ExtGlobalStatusDraw[2], 6.000000, 6.000000);

	ExtGlobalStatusDraw[3] = TextDrawCreate(70.000000, 327.000000, "hud:radar_locosyndicate");
	TextDrawBackgroundColor(ExtGlobalStatusDraw[3], 255);
	TextDrawFont(ExtGlobalStatusDraw[3], 4);
	TextDrawLetterSize(ExtGlobalStatusDraw[3], 0.500000, 1.000000);
	TextDrawColor(ExtGlobalStatusDraw[3], -1);
	TextDrawSetOutline(ExtGlobalStatusDraw[3], 0);
	TextDrawSetProportional(ExtGlobalStatusDraw[3], 1);
	TextDrawSetShadow(ExtGlobalStatusDraw[3], 1);
	TextDrawUseBox(ExtGlobalStatusDraw[3], 1);
	TextDrawBoxColor(ExtGlobalStatusDraw[3], 255);
	TextDrawTextSize(ExtGlobalStatusDraw[3], 11.000000, 11.000000);

	ExtGlobalStatusDraw[4] = TextDrawCreate(90.000000, 327.000000, "hud:radar_tshirt");
	TextDrawBackgroundColor(ExtGlobalStatusDraw[4], 255);
	TextDrawFont(ExtGlobalStatusDraw[4], 4);
	TextDrawLetterSize(ExtGlobalStatusDraw[4], 0.500000, 1.000000);
	TextDrawColor(ExtGlobalStatusDraw[4], -1);
	TextDrawSetOutline(ExtGlobalStatusDraw[4], 0);
	TextDrawSetProportional(ExtGlobalStatusDraw[4], 1);
	TextDrawSetShadow(ExtGlobalStatusDraw[4], 1);
	TextDrawUseBox(ExtGlobalStatusDraw[4], 1);
	TextDrawBoxColor(ExtGlobalStatusDraw[4], 255);
	TextDrawTextSize(ExtGlobalStatusDraw[4], 11.000000, 11.000000);

	ExtGlobalStatusDraw[5] = TextDrawCreate(106.000000, 330.000000, "hud:radar_gangb");
	TextDrawBackgroundColor(ExtGlobalStatusDraw[5], 255);
	TextDrawFont(ExtGlobalStatusDraw[5], 4);
	TextDrawLetterSize(ExtGlobalStatusDraw[5], 0.500000, 1.000000);
	TextDrawColor(ExtGlobalStatusDraw[5], -1);
	TextDrawSetOutline(ExtGlobalStatusDraw[5], 0);
	TextDrawSetProportional(ExtGlobalStatusDraw[5], 1);
	TextDrawSetShadow(ExtGlobalStatusDraw[5], 1);
	TextDrawUseBox(ExtGlobalStatusDraw[5], 1);
	TextDrawBoxColor(ExtGlobalStatusDraw[5], 255);
	TextDrawTextSize(ExtGlobalStatusDraw[5], 11.000000, 11.000000);
	
	GlobalBloodScreen[0] = TextDrawCreate(-71.000000, 292.000000, "ld_dual:ex4");
	TextDrawBackgroundColor(GlobalBloodScreen[0], 255);
	TextDrawFont(GlobalBloodScreen[0], 4);
	TextDrawLetterSize(GlobalBloodScreen[0], 0.500000, 1.000000);
	TextDrawColor(GlobalBloodScreen[0], -1);
	TextDrawSetOutline(GlobalBloodScreen[0], 0);
	TextDrawSetProportional(GlobalBloodScreen[0], 1);
	TextDrawSetShadow(GlobalBloodScreen[0], 1);
	TextDrawUseBox(GlobalBloodScreen[0], 1);
	TextDrawBoxColor(GlobalBloodScreen[0], -16776961);
	TextDrawTextSize(GlobalBloodScreen[0], 250.000000, 200.000000);

	GlobalBloodScreen[1] = TextDrawCreate(-72.000000, -61.000000, "ld_dual:ex4");
	TextDrawBackgroundColor(GlobalBloodScreen[1], 255);
	TextDrawFont(GlobalBloodScreen[1], 4);
	TextDrawLetterSize(GlobalBloodScreen[1], 0.500000, 1.000000);
	TextDrawColor(GlobalBloodScreen[1], -1);
	TextDrawSetOutline(GlobalBloodScreen[1], 0);
	TextDrawSetProportional(GlobalBloodScreen[1], 1);
	TextDrawSetShadow(GlobalBloodScreen[1], 1);
	TextDrawUseBox(GlobalBloodScreen[1], 1);
	TextDrawBoxColor(GlobalBloodScreen[1], 255);
	TextDrawTextSize(GlobalBloodScreen[1], 253.000000, 244.000000);

	GlobalBloodScreen[2] = TextDrawCreate(119.000000, -90.000000, "ld_dual:ex4");
	TextDrawBackgroundColor(GlobalBloodScreen[2], 255);
	TextDrawFont(GlobalBloodScreen[2], 4);
	TextDrawLetterSize(GlobalBloodScreen[2], 0.500000, 1.000000);
	TextDrawColor(GlobalBloodScreen[2], -1);
	TextDrawSetOutline(GlobalBloodScreen[2], 0);
	TextDrawSetProportional(GlobalBloodScreen[2], 1);
	TextDrawSetShadow(GlobalBloodScreen[2], 1);
	TextDrawUseBox(GlobalBloodScreen[2], 1);
	TextDrawBoxColor(GlobalBloodScreen[2], 255);
	TextDrawTextSize(GlobalBloodScreen[2], 350.000000, 220.000000);

	GlobalBloodScreen[3] = TextDrawCreate(442.000000, -32.000000, "ld_dual:ex4");
	TextDrawBackgroundColor(GlobalBloodScreen[3], 255);
	TextDrawFont(GlobalBloodScreen[3], 4);
	TextDrawLetterSize(GlobalBloodScreen[3], 0.500000, 1.000000);
	TextDrawColor(GlobalBloodScreen[3], -1);
	TextDrawSetOutline(GlobalBloodScreen[3], 0);
	TextDrawSetProportional(GlobalBloodScreen[3], 1);
	TextDrawSetShadow(GlobalBloodScreen[3], 1);
	TextDrawUseBox(GlobalBloodScreen[3], 1);
	TextDrawBoxColor(GlobalBloodScreen[3], 255);
	TextDrawTextSize(GlobalBloodScreen[3], 330.000000, 491.000000);

	GlobalBloodScreen[4] = TextDrawCreate(97.000000, 321.000000, "ld_dual:ex4");
	TextDrawBackgroundColor(GlobalBloodScreen[4], 255);
	TextDrawFont(GlobalBloodScreen[4], 4);
	TextDrawLetterSize(GlobalBloodScreen[4], 0.500000, 1.000000);
	TextDrawColor(GlobalBloodScreen[4], -1);
	TextDrawSetOutline(GlobalBloodScreen[4], 0);
	TextDrawSetProportional(GlobalBloodScreen[4], 1);
	TextDrawSetShadow(GlobalBloodScreen[4], 1);
	TextDrawUseBox(GlobalBloodScreen[4], 1);
	TextDrawBoxColor(GlobalBloodScreen[4], 255);
	TextDrawTextSize(GlobalBloodScreen[4], 580.000000, 230.000000);
	
	GlobalBloodScreen[5] = TextDrawCreate(320.000000, 0.000000, "~r~");
	TextDrawAlignment(GlobalBloodScreen[5], 2);
	TextDrawBackgroundColor(GlobalBloodScreen[5], 255);
	TextDrawFont(GlobalBloodScreen[5], 0);
	TextDrawLetterSize(GlobalBloodScreen[5], 0.500000, 49.599987);
	TextDrawColor(GlobalBloodScreen[5], -1);
	TextDrawSetOutline(GlobalBloodScreen[5], 0);
	TextDrawSetProportional(GlobalBloodScreen[5], 1);
	TextDrawSetShadow(GlobalBloodScreen[5], 1);
	TextDrawUseBox(GlobalBloodScreen[5], 1);
	TextDrawBoxColor(GlobalBloodScreen[5], -13092808);
	TextDrawTextSize(GlobalBloodScreen[5], 6.000000, 636.000000);
	return 1;
}